Package ghidra.trace.model.map

# Interface TraceAddressSnapRangePropertyMap<T>

All Superinterfaces:
  `SpatialMap<TraceAddressSnapRange,T,DBTraceAddressSnapRangePropertyMapTree.TraceAddressSnapRangeQuery>`, `TraceAddressSnapRangePropertyMapOperations<T>`

All Known Implementing Classes:
  `AbstractDBTracePropertyMap`, `AbstractDBTracePropertyMap.DBTraceIntPropertyMap`, `AbstractDBTracePropertyMap.DBTraceLongPropertyMap`, `AbstractDBTracePropertyMap.DBTraceSaveablePropertyMap`, `AbstractDBTracePropertyMap.DBTraceStringPropertyMap`, `AbstractDBTracePropertyMap.DBTraceVoidPropertyMap`, `DBTraceAddressSnapRangePropertyMap`, `DBTraceCommentAdapter`, `DBTraceDataSettingsAdapter`

public interface TraceAddressSnapRangePropertyMap<T> extends TraceAddressSnapRangePropertyMapOperations<T>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.util.database.spatial.SpatialMap

  `SpatialMap.EmptySpatialMap<DS extends BoundedShape<?>,T,Q>`

- ## Field Summary

  ### Fields inherited from interface ghidra.util.database.spatial.SpatialMap

  `EMPTY_MAP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `TraceAddressSnapRangePropertyMapSpace<T>`
  `getRegisterSpace(TraceStackFrame frame, boolean createIfAbsent)`
  `TraceAddressSnapRangePropertyMapSpace<T>`
  `getRegisterSpace(TraceThread thread, boolean createIfAbsent)`

  ### Methods inherited from interface ghidra.util.database.spatial.SpatialMap

  `clear, entries, firstEntry, firstKey, firstValue, isEmpty, keys, orderedEntries, orderedKeys, orderedValues, put, reduce, remove, remove, size, values`

  ### Methods inherited from interface ghidra.trace.model.map.TraceAddressSnapRangePropertyMapOperations

  `deleteValue, getAddressSetView, getAddressSetView, put, put, put, put`

- ## Method Details

  - ### getName

    String getName()

  - ### getRegisterSpace

    TraceAddressSnapRangePropertyMapSpace<T> getRegisterSpace(TraceThread thread, boolean createIfAbsent)

  - ### getRegisterSpace

    TraceAddressSnapRangePropertyMapSpace<T> getRegisterSpace(TraceStackFrame frame, boolean createIfAbsent)